### Hierarchy

- Columns

## Index

### Properties

- className
- field
- footerClassName
- footerRenderer
- footerStyle
- footerTemplate
- frozenEdge
- headerClassName
- headerRenderer
- headerStyle
- headerTemplate
- headerText
- id
- maxWidth
- minWidth
- renderer
- resizable
- showRequired
- sortProperty
- sortable
- style
- template
- weight
- width

## Properties

### className

className: string

The CSS class to apply to the column cells.

### field

field: string

The data field that this column refers to.

### footerClassName

footerClassName: string

The CSS class to apply to the footer cell.

### footerRenderer

footerRenderer: null

A function that renders the content of the footer cell. The function takes a context argument, provided by the Table. See the Help documentation for more information.

### footerStyle

footerStyle: string

The CSS styling to apply to the footer cell.

### footerTemplate

footerTemplate: string

The slot name used to specify the template for rendering the footer cell. See the Help documentation for more information.

### frozenEdge

frozenEdge: string

The edge that this column is frozen against. If present, the column will not be allowed to scroll past the specified edge of the Table.

### headerClassName

headerClassName: string

The CSS class to apply to the column header text.

### headerRenderer

headerRenderer: null

A function that renders the content of the header. The function takes a context argument, provided by the Table. See the Help documentation for more information.

### headerStyle

headerStyle: string

The CSS styling to apply to the column header text.

### headerTemplate

headerTemplate: string

The slot name used to specify the template for rendering the header cell. See the Help documentation for more information.

### headerText

headerText: string

Text to display in the header of the column.

### id

id: string

The identifier for the column. This property is required when column selection is enabled.

### maxWidth

maxWidth: string | number

The maximum width style string of the column. See the Help documentation for more information.

### minWidth

minWidth: string | number

The minimum width style string of the column. See the Help documentation for more information.

### renderer

renderer: null

A function that renders the content of the cell. The function takes a context argument, provided by the Table. See the Help documentation for more information.

### resizable

resizable: string

Enable or disable width resizing along the column end headers.

### showRequired

showRequired: boolean

Whether the column header should display a required icon. When set to true, the Table's default column header rendering, tooltip, and assistive text will convey this information to the user as per the specified theme. If a custom header renderer or header template is specified, the application is responsible for rendering the icon.

### sortProperty

sortProperty: string

Specifies the row attribute used for sorting when a sort is invoked on this column. See the Help documentation for more information.

### sortable

sortable: string

Specifies whether a column is sortable. See the Help documentation for more information.

### style

style: string

The CSS styling to apply to the column cells.

### template

template: string

The slot name used to specify the template for rendering the cell. See the Help documentation for more information.

### weight

weight: number

The sizing weight of the column in a fixed layout. See the Help documentation for more information.

### width

width: string | number

The width style string of the column. See the Help documentation for more information.

Generated using TypeDoc